Package ru.bitel.bgbilling.apps.inet.access.sa

# Class ServiceActivatorEvent

java.lang.Object
ru.bitel.bgbilling.apps.inet.access.sa.ServiceActivatorEvent

public class ServiceActivatorEvent extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceActivatorEvent(ru.bitel.bgbilling.apps.inet.access.Access inetAccess, ru.bitel.bgbilling.kernel.event.common.Event event, int processDeviceId, ru.bitel.bgbilling.modules.inet.server.runtime.InetServRuntime servRuntime, int eventType, int inetServId, InetServType inetServType, InetServ oldInetServ, InetServ newInetServ, short oldState, short newState, Set<Integer> oldOptionSet, Set<Integer> newOptionSet, int accessCode)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `consume()`
  `void`
  `doAsync()`
  `int`
  `getAccessCode()`
  `InetConnection`
  `getConnection()`
  Соединение (если вызван метод connectionModify)
  `static List<InetServ>`
  `getInetServChildren(ru.bitel.bgbilling.modules.inet.server.runtime.InetServRuntimeMap inetServRuntimeMap, int inetServId, long millis)`
  `int`
  `getInetServId()`
  Код сервиса
  `ru.bitel.bgbilling.modules.inet.server.runtime.InetServRuntime`
  `getInetServRuntime()`
  `InetServ`
  `getNewInetServ()`
  Новый типа сервиса (каким он стал после изменения)
  `Set<Integer>`
  `getNewOptions()`
  `Set<Integer>`
  `getNewOptionSet()`
  Deprecated.
  `int`
  `getNewState()`
  Новое состояние типа сервиса (вкл/выкл)
  `InetServ`
  `getOldInetServ()`
  Старый типа сервиса (каким он был до изменения)
  `Set<Integer>`
  `getOldOptions()`
  `Set<Integer>`
  `getOldOptionSet()`
  Deprecated.
  `int`
  `getOldState()`
  Старое состояние типа сервиса (вкл/выкл)
  `Set<Integer>`
  `getOptionsToAdd()`
  `Set<Integer>`
  `getOptionsToRemove()`
  `String`
  `getRealm()`
  `List<InetConnection>`
  `getServiceConnections()`
  `boolean`
  `isAsync()`
  `boolean`
  `isConnectionOptionsModified()`
  `boolean`
  `isConnectionStateModified()`
  Флаг указывает, что состояние соединения изменилось в connectionModify и не нужно ждать, например, UPDATE-пакета, чтобы это узнать.
  `boolean`
  `isOptionsModified()`
  `void`
  `setConnectionOptionsModified(boolean connectionOptionsModified)`
  `void`
  `setConnectionRuntime(ru.bitel.bgbilling.apps.inet.access.InetConnectionRuntime connectionRuntime)`
  `void`
  `setConnectionStateModified(boolean connectionStateModified)`
  Флаг указывает, что состояние соединения изменилось в connectionModify и не нужно ждать, например, UPDATE-пакета, чтобы это узнать.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ServiceActivatorEvent

    public ServiceActivatorEvent(ru.bitel.bgbilling.apps.inet.access.Access inetAccess, ru.bitel.bgbilling.kernel.event.common.Event event, int processDeviceId, ru.bitel.bgbilling.modules.inet.server.runtime.InetServRuntime servRuntime, int eventType, int inetServId, InetServType inetServType, InetServ oldInetServ, InetServ newInetServ, short oldState, short newState, Set<Integer> oldOptionSet, Set<Integer> newOptionSet, int accessCode)
    Parameters:
      `event` -
      `servRuntime` -
      `eventType` -
      `inetServId` -
      `inetServType` -
      `oldInetServ` -
      `newInetServ` -
      `oldState` -
      `newState` -
      `oldOptionSet` -
      `newOptionSet` -
      `accessCode` -
      `deviceId` - Код устройства, если событие необходимо выполнить только на одном из всей цепочки устройств (например, при перезагрузке оного). Иначе = 0.

- ## Method Details

  - ### consume

    public void consume()

  - ### doAsync

    public void doAsync()

  - ### isAsync

    public boolean isAsync()

  - ### getInetServId

    public int getInetServId()
    Код сервиса
    Returns:

  - ### getInetServRuntime

    public ru.bitel.bgbilling.modules.inet.server.runtime.InetServRuntime getInetServRuntime()

  - ### getOldInetServ

    public InetServ getOldInetServ()
    Старый типа сервиса (каким он был до изменения)

  - ### getNewInetServ

    public InetServ getNewInetServ()
    Новый типа сервиса (каким он стал после изменения)

  - ### getAccessCode

    public int getAccessCode()

  - ### getOldState

    public int getOldState()
    Старое состояние типа сервиса (вкл/выкл)

  - ### getNewState

    public int getNewState()
    Новое состояние типа сервиса (вкл/выкл)
    Returns:

  - ### isOptionsModified

    public boolean isOptionsModified()

  - ### getOptionsToAdd

    public Set<Integer> getOptionsToAdd()

  - ### getOptionsToRemove

    public Set<Integer> getOptionsToRemove()

  - ### getConnection

    public InetConnection getConnection()
    Соединение (если вызван метод connectionModify)
    Returns:

  - ### setConnectionRuntime

    public void setConnectionRuntime(ru.bitel.bgbilling.apps.inet.access.InetConnectionRuntime connectionRuntime)

  - ### getServiceConnections

    public List<InetConnection> getServiceConnections()

  - ### getOldOptionSet

    @Deprecated public Set<Integer> getOldOptionSet()
    Deprecated.

  - ### getNewOptionSet

    @Deprecated public Set<Integer> getNewOptionSet()
    Deprecated.

  - ### getOldOptions

    public Set<Integer> getOldOptions()

  - ### getNewOptions

    public Set<Integer> getNewOptions()

  - ### isConnectionStateModified

    public boolean isConnectionStateModified()
    Флаг указывает, что состояние соединения изменилось в connectionModify и не нужно ждать, например, UPDATE-пакета, чтобы это узнать. Или по UPDATE-пакету или по чему-нибудь еще невозможно узнать состояние.
    Returns:

  - ### setConnectionStateModified

    public void setConnectionStateModified(boolean connectionStateModified)
    Флаг указывает, что состояние соединения изменилось в connectionModify и не нужно ждать, например, UPDATE-пакета, чтобы это узнать. Или по UPDATE-пакету или по чему-нибудь еще невозможно узнать состояние.
    Parameters:
      `connectionStateModified` -

  - ### isConnectionOptionsModified

    public boolean isConnectionOptionsModified()

  - ### setConnectionOptionsModified

    public void setConnectionOptionsModified(boolean connectionOptionsModified)

  - ### getRealm

    public String getRealm()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getInetServChildren

    public static List<InetServ> getInetServChildren(ru.bitel.bgbilling.modules.inet.server.runtime.InetServRuntimeMap inetServRuntimeMap, int inetServId, long millis)